> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert Transcript Route



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/teams/{team_id}/media/{media_id}/transcript/revert
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/media/{media_id}/transcript/revert:
    post:
      tags:
        - media-transcript
      summary: Revert Transcript Route
      operationId: >-
        media_transcript.post_media_transcript_post_teams_by_team_id_media_by_media_id_transcript_revert
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: media_id
          required: true
          schema:
            title: Media Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/RevertTranscriptBody'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RevertTranscriptBody:
      properties:
        data:
          $ref: '#/components/schemas/_RevertData'
      required:
        - data
      title: RevertTranscriptBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    _RevertData:
      properties:
        attributes:
          $ref: '#/components/schemas/_RevertAttributes'
        type:
          default: transcripts
          title: Type
          type: string
      required:
        - attributes
      title: _RevertData
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    _RevertAttributes:
      properties:
        version:
          maximum: 2147483647
          minimum: 1
          title: Version
          type: integer
      required:
        - version
      title: _RevertAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````